//This example measures the duration of a button press in ms
//and classifys it as short, medium, or long


int button = 3;

int currentButtonState = 0, 
  previousButtonState = 0;

long int pressTime = 0;

void setup() {
  // put your setup code here, to run once:
  pinMode(button, INPUT_PULLUP);
  Serial.begin(9600);
}

void loop() {
  currentButtonState = digitalRead(button);  //could do with ISRs!
  if (currentButtonState != previousButtonState) {
    Serial.print("Change: ");
    if (currentButtonState != HIGH) {
      Serial.println("Pressed");
      pressTime = millis();
    } else {
      long int duration = millis() - pressTime;
      if (duration > 5) { //debounce
        Serial.print("Released, ");
        Serial.print(duration);
        Serial.print(" ms, ");
        if (duration < 200) { //How do I know <200ms "is" "short"?
          Serial.println("Short");
        } else if (duration >=200 && duration <=600) {
          Serial.println("Medium");
        } else if (duration > 600) {
          Serial.println("Long");
        }
      }
    }
    previousButtonState = currentButtonState;
  }
  //delay(2);
}
