//from: https://riptutorial.com/arduino/example/9856/interrupt-on-button-press
const int LED_PIN = LED_BUILTIN;
const int INTERRUPT_PIN = 2;
volatile bool ledState = LOW; //note new qualifier "volatile" - this indicates a variable may change while handling an interrupt

void setup() {
    pinMode(LED_PIN, OUTPUT);
    pinMode(INTERRUPT_PIN, INPUT_PULLUP);
    attachInterrupt(digitalPinToInterrupt(INTERRUPT_PIN), myISR, FALLING); // trigger when button pressed, but not when released.
}

void loop() {
    digitalWrite(LED_PIN, ledState);
}

void myISR() {
    ledState = !ledState;
    // note: LOW == false == 0, HIGH == true == 1, so inverting the boolean is the same as switching between LOW and HIGH.
}
